The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
cURL
curl --request GET \ --url https://cloud.laravel.com/api/buckets \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "<string>", "type": "filesystems", "attributes": { "name": "<string>", "type": "cloudflare_r2", "status": "creating", "visibility": "private", "jurisdiction": "default", "endpoint": "<string>", "url": "<string>", "allowed_origins": [ "<unknown>" ], "created_at": "2023-11-07T05:31:56Z" }, "relationships": { "keys": { "data": [ { "type": "filesystemKeys", "id": "<string>" } ] } } } ], "links": { "first": "<string>", "last": "<string>", "prev": "<string>", "next": "<string>" }, "meta": { "current_page": 2, "from": 2, "last_page": 2, "links": [ { "url": "<string>", "label": "<string>", "active": true } ], "path": "<string>", "per_page": 1, "to": 2, "total": 1 }, "included": [ { "id": "<string>", "type": "filesystemKeys", "attributes": { "name": "<string>", "permission": "read_write", "access_key_id": "<string>", "access_key_secret": "<string>", "created_at": "2023-11-07T05:31:56Z" }, "relationships": { "filesystem": { "data": { "type": "filesystems", "id": "<string>" } } } } ] }
Get a list of all object storage buckets for the authenticated organization.
The Bearer Token generated on the Cloud UI.
Available includes are keys. You can include multiple options by separating them with a comma.
keys
Paginated set of FilesystemResource
FilesystemResource
Show child attributes
Was this page helpful?